Get a task from the registry
Get the operation receipts related to a task id.
In: header
Path Parameters
The source key.
The task id.
Query Parameters
If set to true, the operation receipts of the task will be included in the response. Else only the status of the task will be returned.
falseResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/sources/string/v1/tasks/string"{ "status": "SUCCESS", "taskId": "string", "receipts": [ { "receivedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "taskId": "string", "action": "CREATE", "status": "SUCCESS", "error": { "code": 400, "message": "string", "type": "ALREADY_EXISTS", "details": [ {} ], "additionalContext": {} }, "pipelineExecution": { "id": "string", "pipelineDefinitionId": "string", "status": "SUCCESSFUL" }, "targetType": "RELATIONSHIP", "id": "string", "type": "string" } ]}Search accross resource or relationship collections in the registry POST
Search across resource or relationship collections in the registry. This endpoint suppport both regular and federated search depending on the number of collection keys specified in the path. If the search is done on one multiple collections are specified, it must use federated search paths. This means that operators expect the collection type and collection key to be specified in the path. For example, `resources.<collectionKey>.<propertyKey>`. If the search is done on a single collection, both regular and federated search paths are supported.
Get a specific history item GET
Get a single version history entry by its operation ID. The full data payload of the entity at that point in time can optionally be included.